---
layout: post
title:  "Just wanted an extra file"
date:   2017-02-06 22:01:37 -0500
categories: jekyll demo
---

## We can do markdown formatting

Here we have an additional file. You can see the layout is a little different from
the file we used in the mkdocs demo. This file has additional header information
to tell jekyll how to lay it out and where it belongs.

I should add a list, just to show that we have capability to do some fancier
formatting

-   We can do lists
-   As you can see
    -   And sub-lists as well
-   Of course we can drop back


Tables anyone?

| Column 1 | Column 2 | Column 3 |
|---|---|---|
| item | item | item |
| item | item | item |
| item | item | item |
| item | item | item |
| item | item | item |


You also have the ability to create pre-formatted text that comes out monospaced

```
Sort of like this text here. The way we write is taken literally and the
lines wrap based on where you place the carriage return
just like I am doing here where the
lines get shorter
rapidly
```

The same type of construct can be used for code, but that renders with a hint.

The following is a short python script for setting the desktop background
without using a GUI

```python
#!/usr/bin/env python

import os
import subprocess
import sqlite3

desktop_picture_path = '/Library/Desktop Pictures/Galaxy.jpg'
database_location = os.path.expanduser(
    '~/Library/Application Support/Dock/desktoppicture.db')

conn = sqlite3.connect(database_location)
print 'Opened database successfully'

conn.execute('DELETE FROM data')
conn.execute('INSERT INTO data VALUES (?)', (desktop_picture_path, ))
conn.execute('VACUUM data')
conn.commit()

print 'Records created successfully'
conn.close()

subprocess.check_call(['/usr/bin/killall', 'Dock'])
```

Apparently we can use an additional system for code. The same code using the
alternate system:

{% highlight python %}
#!/usr/bin/env python

import os
import subprocess
import sqlite3

desktop_picture_path = '/Library/Desktop Pictures/Galaxy.jpg'
database_location = os.path.expanduser(
    '~/Library/Application Support/Dock/desktoppicture.db')

conn = sqlite3.connect(database_location)
print 'Opened database successfully'

conn.execute('DELETE FROM data')
conn.execute('INSERT INTO data VALUES (?)', (desktop_picture_path, ))
conn.execute('VACUUM data')
conn.commit()

print 'Records created successfully'
conn.close()

subprocess.check_call(['/usr/bin/killall', 'Dock'])
{% endhighlight %}

