# Welcome to the demo site

I wouldn't get too excited about it, this demo is here just so you can see what
is possible with the generator. It can get considerably more complex, but for
the most part, the care and feeding of a MkDocs site is:

* create a directory for the source files
* edit a description file `mkdocs.yml`
* create/copy the source files over
* test to make sure they are what you want
* build the static files
* publish to your hosting server

## Useful Commands:

* `mkdocs new [dir-name]` - Create a new project.
* `mkdocs serve` - Start the live-reloading docs server.
* `mkdocs build` - Build the documentation site.
* `mkdocs help` - Print this help message.

## This project layout

```
.
├── docs
│   ├── about.md
│   ├── awesome_markdown.md
│   ├── first-hammer.md
│   ├── index.md
│   ├── set_up_yum_repo.md
│   ├── static_gen.md
│   └── update_hp_ilo.md
└── mkdocs.yml
```

## The contents of the mkdocs.yml file

```
site_name: OPCUG Demo MkDocs Site
pages:
    - Home: index.md
    - About: about.md
    - HP Notes:
        - ILO Firmware Updates: update_hp_ilo.md
    - Static Site Notes:
        - Static Site Generators: static_gen.md
        - Awesome Markdown: awesome_markdown.md
    - RedHat Notes:
        - Set up a local Yum Repo: set_up_yum_repo.md
        - Hammer Time: first-hammer.md
theme: readthedocs
```
