# The current list of static site generators

Current as of 2017-01-28

| Name | Website | Description | Language | Templates | License |
|------|---------|-------------|----------|-----------|---------|
| Jekyll | jekyllrb.com | A simple, blog-aware, static site generator. | Ruby | Liquid | MIT |
| Hugo | gohugo.io/ | A Fast and Flexible Static Site Generator. | Go | Go Templates | APL 2.0 |
| Hexo | hexo.io/ | Hexo is a fast, simple and powerful blog framework. | JavaScript | EJS, Swig | MIT |
| GitBook | www.gitbook.com/ | A modern publishing toolchain. Simply taking you from ideas to finished, polished books. | JavaScript | Jinja2 | APL 2.0 |
| Octopress | octopress.org | A blogging framework for hackers based on Jekyll. | Ruby | Liquid | MIT |
| Gatsby | github.com/gatsbyjs/gatsby | Transform plain text into dynamic blogs and websites using React.js | JavaScript | React.js | MIT |
| Pelican | blog.getpelican.com/ | A static site generator, imports from Wordpress, multi-lang publishing. | Python | Jinja2 | AGPL |
| Brunch | brunch.io/ | An ultra-fast HTML5 build tool. Capable of static site generation. | JavaScript | Any JS | MIT |
| Middleman | middlemanapp.com | Hand-crafted, modern frontend development. | Ruby | ERB/Tilt | MIT |
| Metalsmith | www.metalsmith.io/ | An extremely simple, pluggable static site generator. | JavaScript | HBS/Any JS | MIT |
| Harp | harpjs.com/ | Harp is a static web server that can also compile your project down to static assets. | JavaScript | EJS, Jade | MIT |
| Expose | github.com/Jack000/Expose | A simple static site generator for photoessays | Bash | custom | MIT |
| MkDocs | www.mkdocs.org/ | Project documentation with Markdown. | Python | Jinja2 | BSD |
| Assemble | assemble.io/ | Static site generator for Grunt.js, Yeoman and Node.js | JavaScript | Handlebars | MIT |
| Wintersmith | wintersmith.io/ | A flexible static site generator with awesome plugins. | CoffeeScript | Jade, + plugins | MIT |
| Cactus | github.com/koenbok/Cactus/ | Static site generator for designers. | Python | Django | BSD |
| Docpad | docpad.org/ | Feature rich, configurable and language agnostic. | CoffeeScript | ECO/Any JS | MIT |
| HubPress | hubpress.io/ | A web application to build your Blog on GitHub. | Javascript | Handlebars | MIT |
| Lektor | www.getlektor.com/ | A static content management system that can deploy to any webserver. | Python | Jinja2 | BSD |
| Nanoc | nanoc.ws/ | Simple but very flexible static site generator | Ruby | eRuby | MIT |
| Roots | roots.cx/ | roots is a toolbox for building simple, beautiful, and efficient products for the web. | CoffeeScript | Jade | MIT |
| Phenomic | phenomic.io | A modern static website generator to create dynamic website using React components. | JavaScript | JavaScript (React) | MIT |
| Hakyll | jaspervdj.be/hakyll/ | A configurable Haskell library, for small-to-medium sites. | Haskell | Hakyll Templates | BSD |
| Wheat | github.com/creationix/wheat | A blog engine for coders written in node.JS | JavaScript | Custom | MIT |
| Hyde | hyde.github.io/ | Jekyll's evil Python powered twin | Python | Jinja2 | MIT |
| Punch | laktek.github.io/punch/ | Simple, intuitive. It delights designers and developers alike. | JavaScript | Mustache | MIT |
| Nikola | www.getnikola.com | A static website and blog generator | Python | Jinja2, Mako | MIT |
| Sculpin | sculpin.io | Sculpin is a static site generator written in PHP | PHP | Twig | MIT |
| Sphinx | www.sphinx-doc.org/ | A tool that makes it easy to create intelligent and beautiful documentation, written by Georg Brandl. | Python | Jinja2 | BSD |
| markdown-styles | github.com/mixu/markdown-styles | Markdown to static HTML generator and multiple CSS themes for Markdown | JavaScript | Handlebars | BSD |
| simple | isnowfy.github.io/simple/ | Simple is a pure static static blog generator. | Javascript | Markdown | MIT |
| Stasis | stasis.me/ | Static Sites Made Powerful with Ruby gems. | Ruby | Tilt (erb, haml, ...) | MIT |
| Ruhoh | ruhoh.com/ | The Universal Static Blog API. | Ruby | Mustache | MIT |
| Flatmarket | json.expert/flatmarket/ | A free, open source e-commerce platform for static websites. | JavaScript | Any | MIT |
| Blacksmith | github.com/flatiron/blacksmith | A generic static site generator built using flatiron, plates, and marked. | JavaScript | Plates | MIT |
| Cryogen | cryogenweb.org/ | A simple static site generator shipped on Leiningen | Clojure | Selmer | EPL |
| bashblog | github.com/cfenollosa/bashblog | A single Bash script to create blogs. | Bash | None | GPL 3 |
| Pollen | pollenpub.com | A web book-publishing system written in Racket with static html as default output target. | Racket | ... | LGPL |
| Couscous | couscous.io/ | Couscous turn Markdown documentation into beautiful websites. | PHP | Twig | MIT |
| Poet | jsantell.github.io/poet/ | A node.js blog engine. | JavaScript | Jade | MIT |
| Gor | github.com/wendal/gor | A static websites and blog generator engine written in Go | Go | Mustache | BSD |
| JBake | jbake.org/ | A static site/blog generator for developers & designers | Java | Freemarker, Groovy, Thymeleaf | MIT |
| Jigsaw | jigsaw.tighten.co/ | Static sites for Laravel developers | PHP | Blade | MIT |
| pretzel | code52.org/pretzel.html | A site generation tool (and then some) for .NET platforms. | .Net | Liquid | MS-PL |
| InkPaper | www.inkpaper.io/ | InkPaper is an elegant, extremely fast static blog generator. | Go | GO Template | MIT |
| Bookdown | bookdown.org/ | An eBook authoring platform that generates GitBook-styled static sites | R | Custom R code / knitr / rmarkdown | GPL-3 |
| Frozen-Flask | pythonhosted.org/Frozen-Flask/ | Frozen-Flask freezes a Flask application into a set of static files. | Python | Jinja2 | BSD |
| Wyam | wyam.io | A simple to use, highly modular, and extremely configurable static content generator. | .Net | Razor, Markdown | MIT |
| Frog | github.com/greghendershott/frog | Frog is a static web site generator implemented in Racket, targeting Bootstrap. | Racket | Racket | MIT |
| Blogofile | blogofile.com | A static website compiler and blog engine, written and extended in Python | Python | Mako | MIT |
| Heckle | github.com/marijnh/heckle | A minimal Jekyll clone in node.js. | JavaScript | Mold | MIT |
| Misaki | liquidz.github.io/misaki/ | A Jekyll inspired static site generator in Clojure. | Clojure | Hiccup | EPL |
| Cabin | www.cabinjs.com/ | Simple and extensible static site generator powered by Grunt. | JavaScript | Jade & EJS | MIT |
| Gostatic | github.com/piranha/gostatic#speed | A fast static site generator written in Go. | Go | Go Templates | ISC |
| Acrylamid | posativ.org/acrylamid/ | Static blog or site generator | Python | Jinja, Mako | BSD |
| Silex | www.silex.me | A drag and drop editor mixed with an online CSS editor | Javascript | HTML/CSS | GPL |
| Webby | webby.rubyforge.org/ | Webby is a fantastic little website management system. | Ruby | Erb | MIT |
| Spress | spress.yosymfony.com | Spress is a static site generator and blog engine written in PHP | PHP | Twig | MIT |
| Awestruct | awestruct.org/ | A static site-baking tool | Ruby | Haml | MIT |
| Tinkerer | tinkerer.me | Tinkerer is a blogging engine/static website generator powered by Sphinx | Python | Jinja2 | BSD |
| Techy | krasimir.github.io/techy/ | The geeky way of writing | JavaScript | Custom | MIT |
| yst | github.com/jgm/yst | Static websites from YAML and string templates | Haskell | String Templates | GPL |
| Coleslaw | github.com/kingcons/coleslaw | Flexible Lisp Blogware. | Lisp | Closure Templates | BSD |
| Ikiwiki | ikiwiki.info/ | a wiki compiler | Perl | HTML::Template | GPL |
| Tags | tags.brace.io/ | The simplest static site generator | Python | Tags | MIT |
| Yellow | datenstrom.se/yellow/ | Yellow is for people who make websites. | PHP | PHP | GPL |
| Perun | perun.io/ | Composable static site generator build with Clojure and Boot | Clojure | Hiccup | EPL |
| Urubu | urubu.jandecaluwe.com | A micro CMS for static websites | Python | Jinja2 | AGPL |
| gloria | gloriajs.com | Gloria is a static site generator, a beginners friendly project | JavaScript | Handlebars | Apache 2 |
| staticjinja | staticjinja.readthedocs.org/en/latest/ | Effortlessly deploy static sites with Jinja2. | Python | Jinja2 | MIT |
| thumbsup | github.com/thumbsup/node-thumbsup | Static photo & video gallery generator | JavaScript | N/A | MIT |
| Hastie | github.com/mkaz/hastie | A static site generator written in Go | Go | Go templates | MIT |
| Tarbell | tarbell.io | Simple static sites for storytellers. | Python | Jinja | BSD |
| Grow | grow.io/ | Grow is a declarative, file-based static site generator for building maintainable, high-quality websites. | Python | Jinja2 | MIT |
| Lingon | www.lingon.io/ | Lingon is a performant single-page application dev tool that focuses on developer happiness. | JavaScript | ejs | Apache 2 |
| Luapress | luapress.org/ | Luapress is *yet another* static blog generator, written in Lua. | Lua | LHTML | MIT |
| Serif | aprescott.com/posts/serif | Serif is a static site generator and an optional admin interface | Ruby | Liquid | MIT |
| Spike | github.com/static-dev/spike | An opinionated static build tool, powered by webpack | Javascript | Jade | MIT |
| Photish | github.com/henrylawson/photish | Fast, simple, configurable photo portfolio website generator. | Ruby | Slim | MIT |
| Grain | sysgears.com/grain | A generator for sites, blogs & documentation, supports Markdown, AsciiDoc and RST | Groovy | Groovy-based | Apache |
| Zodiac | github.com/nuex/zodiac | A static site generator powered by awk and sh. | Awk | Mustache-like | MIT |
| Reptar | reptar.github.io/ | A modern static site generator written in next generation (ES2015+) JavaScript. | JavaScript | Nunjucks | MIT |
| wok | wok.mythmon.com/ | Toss some content, templates, and media in a pan and fry it up! | Python | Jinja2 | MIT |
| Gulp Site | github.com/ducksoupdev/gulp-site-generator | Static site generator using Gulp | JavaScript | Handlebars | None |
| ghost-render | github.com/mixu/ghost-render | Render static blog sites from Markdown using Ghost themes | JavaScript | Ghost | BSD |
| Webgen | webgen.gettalong.org/ | Static website generation made easy | Ruby | ERB + More | GPL |
| Enfield | github.com/fortes/enfield | Node.js Jekyll Port | CoffeeScript | Liquid | MIT |
| Broccoli Taco | broccoli-taco.com/ | A fast, simple, and flexible static site generator based on Broccoli. | JavaScript | Handlebars | MIT |
| graze | mikaelkoskinen.net/graze-static-site-generator-using-razor | Static site generator using Razor. | .Net | Razor | MIT |
| Carew | carew.github.io/ | The tiny website generator | PHP | Twig | MIT |
| Statik | getstatik.com/ | A simple, generic, static web site generator for developers. | Python | Jinja2 | MIT |
| blogc | blogc.rgm.io/ | A blog compiler. | C | Custom | BSD |
| Spelt | github.com/njdehoog/Spelt | Delightfully simple static site generator written in Swift. | Swift | Stencil | MIT |
| jus | jus.js.org | dev server and build tool with no configuration and no boilerplate code | JavaScript | Handlebars | MIT |
| Cory | www.npmjs.com/package/cory | A static site generator for JavaScript lovers. | JavaScript | Handlebars | MIT |
| pub-server | jldec.github.io/pub-doc/ | static HTML generator + editor with npm-based themes | JavaScript | Handlebars | MIT |
| Stog | zoggy.github.io/stog/ | Stog is a static blog and website generator, like Jekyll but in OCaml. | OCaml | XML | GPL |
| Monkeyman | github.com/wspringer/monkeyman | Simple static site generator for Scala and middleman lovers | Scala | Haml | GPL |
| Dimples | github.com/waferbaby/dimples | A very, very, very simple static site generator gem. | Ruby | Tilt | MIT |
| Zas | github.com/imdario/zas | Most zen static website generator in Golang. | Go | Go Templates | AGPL v3 |
| JAQ | github.com/asciidoctor/jekyll-asciidoc-quickstart | A shortcut to Asciidoc templating on Github's Jekyll hosting infrastructure. | Ruby | Liquid | MIT |
| Templer | steve.org.uk/Software/templer/ | Templer is a modular extensible static-site-generator written in perl. | Perl | HTML::Template | Perl |
| Misakai Baker | baker.misakai.com | Slice and Optimize with Razor and Markdown | .Net | Razor | Apache |
| drupan | github.com/fallenhitokiri/drupan | trying to hit the sweet spot between simplicity and being feature rich enough for every use case. | Python | Jinja2 | BSD |
| StaGen | github.com/wiztools/stagen | StaGen is the static site generator behind WizTools.org | Java | StringTemplate 4 | Apache |
| Ace | github.com/botanicus/ace | Ace is a static page generator. | Ruby | Haml, ... | MIT |
| simple-website | github.com/alexanderteinum/simple-website | simple-website is a static site generator written in Go | Go | Markdown | BSD |
| Polo | github.com/agonzalezro/polo#just-markdown | Static site generator written in Go and "compatible" with Jekyll & Pelican content | Go | Go Templates | MIT |
| Madoko | www.madoko.net | One-page article-styled website from Markdown and LaTex. | Javascript | false | Apache |
| PyKwiki | pykwiki.nullism.com | Markdown based authoring with static search. | Python | Jinja 2 | MIT |
| Serum | github.com/Dalgona/Serum | A simple static website generator written in Elixir. | Elixir | EEx | MIT |
| Easystatic | easystatic.com/ | Static site generator powered by Markdown It, Postcss, Babel, Browsersync | JavaScript | Markdown, EJS | Apache 2 |
| Dapper | vanilladraft.com/dapper/ | Dapper is a simple, flexible, and pragmatic static site generator written in Perl. | Perl | TT3 | MIT |
| SuSi | github.com/AVGP/susi | The SUper SImple site generator. | JavaScript | Markdown | ISC |
| Prosopopee | github.com/Psycojoker/prosopopee | A static website generator that allows you to tell a story with your pictures (somehow a clone of exposure.co or Medium) | Python | custom | GPL |
| Tclssg | github.com/tclssg/tclssg | A static site generator that uses Tcl for both code and templates. | Tcl | custom | MIT |
| adm-dev-kit | github.com/iamfrntdv/adm-dev-kit | ADM-DEV-KIT is static web server and build tool built with plugins and tools like Node.js, JSPM, Express.js, Browser-Sync, Gulp.js, PostHTML, PostCSS and others. | JavaScript | pug | MIT |
| Go-Static! | github.com/colynb/generator-go-static | Yeoman generator for building static sites/blogs. | JavaScript | Swig | MIT |
| Bolt | argyleink.github.io/Bolt | ⚡ is a fast, organized, mobile first Grunt seed project for fast static apps. | Javascript | Jade, Your Choice | MIT |
| Reem | github.com/andrejewski/reem | JavaScript static site generator for anything | JavaScript | Consolidate | ISC |
| Poole | bitbucket.org/obensonne/poole/ | A simple Markdown static site generator. | Python | HTML | GPL3+ |
| Motyl | www.cambus.net/motyl/ | Opinionated static site generator written in Lua. | Lua | Mustache | BSD |
| Rosid | rosid.electerious.com/ | Just-in-time development server and static site exporter. | JavaScript | Any | MIT |
| Pagegen | pagegen.phnd.net | Manage sites and blogs, SEO friendly. | Python | Pagegen | GPLv3 |
| PieCrust2 | bolt80.com/piecrust | PieCrust is a static website generator and flat-file CMS | Python | Jinja | Apache |
| Blogo | github.com/kevin14/blogo | Blogo is a blog generator based on JS and Jade | JavaScript | Jade | MIT |
| Griffin | github.com/pawandubey/griffin | Blazing fast, simple, static site generator | Java | Handlebars | Apache |
| Waffel | moonwave99.github.io/waffel/ | Static site generation done tasty. | JavaScript | Nunjucks | MIT |
| CopperSmith | charlgottschalk.co.za/projects/coppersmith | CopperSmith is a very simple command powered static site generator that uses markdown files. | JavaScript | handlebars | MIT |
| Handle | handlecli.com | Handle is a static site generator powered by PHP and the command line. | PHP | Blade | MIT |
| Rinco | github.com/rincojs/rinco-sg | A simple static site generator. | JavaScript | Mustache | MIT |
| Scalatic | functionalprogramming.ro/scalatic | Dead simple static blog generator written in Scala. | Scala | GitHub flavored Markdown | MIT |
| sblg | kristaps.bsd.lv/sblg | simple off-line blog utility | C | None | ISC |
| SKF | skf.jeannedhack.org/ | Plugin-based static website generator inspired by Suckless Web Framework. | Bash | Custom | GPLv3 |
| LitePub | github.com/mirovarga/litepub | A Lightweight Static Blog Generator | Go | Go Templates | MIT |
| jssg | github.com/agrison/jssg | A static site/blog generator in Java | Java | Freemarker | MIT |
| Static Lite | github.com/BrandonRomano/static-lite | A minimalist configuration for generating static sites, powered entirely by NPM scripts. | Javascript | Jade | MIT |
| Halwa | github.com/mhlakhani/halwa | Halwa is a single file static site generator written in Python. | Python | Jinja2 | MIT |
| Makdoc | github.com/pismute/gulp-makdoc | A (Gulp) task library for generating documents | JavaScript | Handlebars | MIT |
| django-distill | github.com/mgrp/django-distill | django-distill lets you to create and publish a static website from any Django project. | Python | Django | MIT |
| Bake | ctrl-c.club/~philips/90s/ | The blogging tool for minimalists & make lovers. | C++ | {vars} | Do What The Fuck You Want Public License V2 |
| grunt-flats | github.com/adamduncan/grunt-flats | Grunt task for generating static pages from templated partials. | JavaScript | Hogan.js | MIT |
| Styx | styx-static.github.io/styx-site/ | Nix based static site generator. | Nix | Nix | MIT |
| Minerl | github.com/neevek/minerl | Minerl is a blog-aware static site generator written in Perl. | Perl | HTML::Template | Artistic License (2.0) |
| Sunstreet | github.com/zalando/sunstreet | Responsive SPA with on-the-fly markdown translation, Github API, and a CMS. | Javascript | Markdown | MIT |
| Wainwright | github.com/wprl/wainwright | A streaming static site generator for Gulp | JavaScript | consolidate.js | MIT |
| PHPoole | phpoole.org | Light and easy static website generator written in PHP. | PHP | Twig | MIT |
| HasClunk | github.com/jellehermsen/HasClunk | Simple dependency light blog generator | Haskell | Header+footer html and Html.hs | BSD3 |
| s2gen | appliedscala.com/s2gen/ | A dead-simple Scala-based site generator | Scala | FreeMarker | MIT |
| Blo | github.com/savuir/blo | Static site generator for easy personal blogging | Python | Jinja2 | BSD |
| Gustav | gustav.futape.de | Gustav is a powerful static-site generator written in PHP. | PHP |  | BSD |
| YASBE | github.com/underr/yasbe | Yet Another Static Blog Engine | Python | Mako | WTFPL |
| Taft | github.com/fitnr/taft | Static site generator for the command line | JavaScript | Handlebars | GPL-3.0 |
| Desi | dear.desi/ | middleware enabled static site generator that builds in the browser (or node.js), powered by desirae.js. | JavaScript | via plugin | Apache2 |
| Bang | github.com/squdle/Bang | Quirky text processor and static website generator. | Python | custom | MIT |
| onessg | github.com/RyanZim/onessg | The Static Site Generator that does only one thing: compile your html and markdown. | JavaScript | Any | MIT |
| deadsimplelog | github.com/tallesl/node-deadsimplelog | Static blog generator with simplistic configuration that aims for being dead simple. | JavaScript | HTML | MIT |
| Asimov | www.asimovjs.org/ | Static site generator, powered by asimov.js and asimov-server. | JavaScript | Handlebars | MIT |
| Weaver | davidsiaw.github.io/weaver-docs | A simple DSL-based web generator | Ruby | None | MIT |
| Blended | jmroper.com/blended/ | Static Site Generation Using Python | Python | HTML | GPL 3.0 |
| Lerret | github.com/jgrh/lerret | A static site generator for image galleries. | JavaScript | Jade | APL 2.0 |
| BootDown | project.geekweaver.com/ | Extremely simple static sites with Markdown and BootStrap. | Python | BootStrap | AGPL |
| Expansive | embedthis.com/expansive | Expansive is a static site generator. It is written in Ejscript, and is blazing fast. | C,Ejscript | Ejscript | GPL-2.0, Embedthis Commercial License |
| Rocadocs | rocadocs.com | Opinionated static documentation generator using Markdown | Python | false | Apache-2.0 |
| Usmu | usmu.io | A small, extensible, static site generator. | Ruby | Slim, Markdown | MIT |
| Static Stuff | github.com/javimosch/staticstuff | Generates simple static web content blazing fast using handlebars templates. | JavaScript | Handlebars | Apache |
| PFT | dacav.roundhousecode.com/pages/pft.html | PFT is a Static, Unicode-ready, Hacker-friendly, Free-as-in-freedom, Privacy-preserving website generator written in Perl. | Perl | TT3 | GPL3 |
| Gerablog | github.com/paulohrpinheiro/gerablog | Gerablog is a simple and small static blog generator. | Ruby | Markdown | MIT |
