# Four ways to update HP ILO firmware

HP ILO firmware are scexe (self extracting files).  To get the ILO firmware, search system model on support section of hp.com.

## ONE : From OS (Linux) CLI use scexe file

-    Download ILO firmware say CP023069.scexe
-    Unpack it

````
$ cd /tmp
$ chnmod 755 CP023069.scexe
$ ./CP023069.scexe
- follow online instruction
- Check ILO new version
$ curl http:///xmldata?item=All
````

## TWO : From ILO CLI load bin file

On some webserver (that should be on same same vlan as ILO valn and network), copy firmware bin file in DocumentRoot.

````
$ ./CP023069.scexe --unpack=firmware
$ cd firmware
$ cp firmware/ilo2_NNN.bin $DocumentRoot (usually /var/www/html/)
````

- Login on ILO over ssh and upload firmware

```
$ssh -l Administrator
```

- To see current ILO version

```
ILO> show
```

- to check if your web servers is pingable from ILO (to get ILO bin file)

```
ILO> cd /map1
ILO> oemhp_ping
ILO> load -source http:///firmware/ilo2_NNN.bin
```

- Your session will seems to hang for 2-3 minute - do not worry ! If all is
  good. iLo firmware will be upgraded and ILO will be rebooted. Check ILO
  version 

```
$ curl http:///xmldata?item=All
```

## THREE : Using ILO WebUI to upload bin file

- Download and save ilo firmware bin files extracted above by keying in below in you web browser

```
http:///firmware/ilo2_NNN.bin
```

- access ILO Web UI, go to Administration tab and upload bin file to upgrade ILO firmware

## FOUR : HPSIM to push firmware

- Use HPSIM if you  paying SIM license fee!
  Reference : [Pipe2Text](http://pipe2text.com/?page_id=1908)

